#
# spec file for package perl-DateFormat
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
# 
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

#Distribution:   %dist
#Packager:       %packager
#Vendor:         %vendor

Name:           perl-MySQL-DateFormat
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        MySQL::DateFormat.pm
Version:        1.01
Release:        4.2
License:        Artistic License
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/IO/
Source:         %{cpan_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl-Date-Calc
Requires:       perl-Date-Calc
Requires:  perl = %{perl_version}

%description
 %{cpan_name} module for perl

Manipulate dates back and forth between human-readable and MySQL formats. 

%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc README

%changelog
* Mon Apr 12 2010 Carsten Schoene <cs@linux-administrator.com> - 1.01
- initial build
